JavaScript
import Openregister from 'openregister';
const client = new Openregister({
apiKey: process.env['OPENREGISTER_API_KEY'], // This is the default and can be omitted
});
const response = await client.search.lookupCompanyByURL({ url: 'https://example.com' });
console.log(response.company_id);import os
from openregister import Openregister
client = Openregister(
api_key=os.environ.get("OPENREGISTER_API_KEY"), # This is the default and can be omitted
)
response = client.search.lookup_company_by_url(
url="https://example.com",
)
print(response.company_id)package main
import (
"context"
"fmt"
"github.com/oregister/openregister-go"
"github.com/oregister/openregister-go/option"
)
func main() {
client := openregister.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Search.LookupCompanyByURL(context.TODO(), openregister.SearchLookupCompanyByURLParams{
URL: "https://example.com",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.CompanyID)
}
openregister search lookup-company-by-url \
--api-key 'My API Key' \
--url https://example.comcurl --request GET \
--url https://api.openregister.de/v0/search/lookup \
--header 'Authorization: Bearer <token>'
{
"company_id": "<string>",
"email": "<string>",
"phone": "<string>",
"vat_id": "<string>"
}Search by website URL
GET
/
v0
/
search
/
lookup
JavaScript
import Openregister from 'openregister';
const client = new Openregister({
apiKey: process.env['OPENREGISTER_API_KEY'], // This is the default and can be omitted
});
const response = await client.search.lookupCompanyByURL({ url: 'https://example.com' });
console.log(response.company_id);import os
from openregister import Openregister
client = Openregister(
api_key=os.environ.get("OPENREGISTER_API_KEY"), # This is the default and can be omitted
)
response = client.search.lookup_company_by_url(
url="https://example.com",
)
print(response.company_id)package main
import (
"context"
"fmt"
"github.com/oregister/openregister-go"
"github.com/oregister/openregister-go/option"
)
func main() {
client := openregister.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Search.LookupCompanyByURL(context.TODO(), openregister.SearchLookupCompanyByURLParams{
URL: "https://example.com",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.CompanyID)
}
openregister search lookup-company-by-url \
--api-key 'My API Key' \
--url https://example.comFind company by website URL
Find a company by providing its website URL. Our system analyzes the website and matches it to companies in our database. The response includes the company ID that you can use with other endpoints to retrieve detailed information like financials, shareholders, and ownership structure. This is useful for enriching web data with company information. Cost: 10 creditsAuthorizations
API Key Authentication Provide your API key as a Bearer token in the Authorization header.
Query Parameters
Website URL to search for. Example: "https://openregister.de"
Response
Successfully retrieved company data
Unique company identifier. Example: DE-HRB-F1103-267645
Email address of the company. Example: "info@maxmustermann.de"
Phone number of the company. Example: "+49 123 456 789"
Value Added Tax identification number. Example: "DE123456789"
Was this page helpful?
⌘I

